package com.miaxis.app.hospital.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import lombok.Data;
/**
 * 体检医院对象 hospital_info
 *
 * @author miaxis
 * @date 2021-01-11
 */
@Data
@TableName("hospital_info")
@ApiModel(value = "HospitalInfo", description = "体检医院对象 hospital_info")
public class HospitalInfo extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 医院ID */
    @TableId(value = "id")
    @ApiModelProperty(value = "医院ID")
    private Long id;

    /** 医院名称 */
    @Excel(name = "医院名称")
    @TableField("name")
    @ApiModelProperty(value = "医院名称")
    private String name;

    /** 描述 */
    @Excel(name = "描述")
    @TableField("detail")
    @ApiModelProperty(value = "描述")
    private String detail;

    /** 电话 */
    @Excel(name = "电话")
    @TableField("tel")
    @ApiModelProperty(value = "电话")
    private String tel;

    /** 地点 */
    @Excel(name = "地点")
    @TableField("address")
    @ApiModelProperty(value = "地点")
    private String address;

    /** 体验时间 */
    @Excel(name = "体验时间")
    @TableField("time_slot")
    @ApiModelProperty(value = "体验时间")
    private String timeSlot;

    /** 用户提醒 */
    @Excel(name = "用户提醒")
    @TableField("tip")
    @ApiModelProperty(value = "用户提醒")
    private String tip;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setName(String name){
        this.name = name;
    }

    public String getName(){
        return name;
    }
    public void setDetail(String detail){
        this.detail = detail;
    }

    public String getDetail(){
        return detail;
    }
    public void setTel(String tel){
        this.tel = tel;
    }

    public String getTel(){
        return tel;
    }
    public void setAddress(String address){
        this.address = address;
    }

    public String getAddress(){
        return address;
    }
    public void setTimeSlot(String timeSlot){
        this.timeSlot = timeSlot;
    }

    public String getTimeSlot(){
        return timeSlot;
    }
    public void setTip(String tip){
        this.tip = tip;
    }

    public String getTip(){
        return tip;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("detail", getDetail())
            .append("tel", getTel())
            .append("address", getAddress())
            .append("timeSlot", getTimeSlot())
            .append("tip", getTip())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
